]> scripts.mit.edu Git - autoinstalls/wordpress.git/blobdiff - wp-admin/network/upgrade.php
WordPress 4.2.3
[autoinstalls/wordpress.git] / wp-admin / network / upgrade.php
index dcca3deb414a6b38c01193213036066abdd33442..f1574aeabba856abd8433ee650557c759bcddf10 100644 (file)
@@ -29,14 +29,14 @@ get_current_screen()->add_help_tab( array(
 
 get_current_screen()->set_help_sidebar(
        '<p><strong>' . __('For more information:') . '</strong></p>' .
-       '<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Updates_Screen" target="_blank">Documentation on Upgrade Network</a>') . '</p>' .
+       '<p>' . __('<a href="https://codex.wordpress.org/Network_Admin_Updates_Screen" target="_blank">Documentation on Upgrade Network</a>') . '</p>' .
        '<p>' . __('<a href="https://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
 );
 
 require_once( ABSPATH . 'wp-admin/admin-header.php' );
 
 if ( ! current_user_can( 'manage_network' ) )
-       wp_die( __( 'You do not have permission to access this page.' ) );
+       wp_die( __( 'You do not have permission to access this page.' ), 403 );
 
 echo '<div class="wrap">';
 echo '<h2>' . __( 'Upgrade Network' ) . '</h2>';
@@ -63,10 +63,19 @@ switch ( $action ) {
                        $siteurl = site_url();
                        $upgrade_url = admin_url( 'upgrade.php?step=upgrade_db' );
                        restore_current_blog();
+
                        echo "<li>$siteurl</li>";
+
                        $response = wp_remote_get( $upgrade_url, array( 'timeout' => 120, 'httpversion' => '1.1' ) );
-                       if ( is_wp_error( $response ) )
-                               wp_die( sprintf( __( 'Warning! Problem updating %1$s. Your server may not be able to connect to sites running on it. Error message: <em>%2$s</em>' ), $siteurl, $response->get_error_message() ) );
+                       if ( is_wp_error( $response ) ) {
+                               wp_die( sprintf(
+                                       /* translators: 1: site url, 2: server error message */
+                                       __( 'Warning! Problem updating %1$s. Your server may not be able to connect to sites running on it. Error message: %2$s' ),
+                                       $siteurl,
+                                       '<em>' . $response->get_error_message() . '</em>'
+                               ) );
+                       }
+
                        /**
                         * Fires after the Multisite DB upgrade for each site is complete.
                         *